cURL
curl --request GET \
--url https://riona.ai/api/1.1/wf/telegram-ranking-interest \
--header 'Authorization: Bearer <token>'import requests
url = "https://riona.ai/api/1.1/wf/telegram-ranking-interest"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://riona.ai/api/1.1/wf/telegram-ranking-interest', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": {
"code": 200,
"message": "OK"
},
"data": [
{
"profile": {
"masterID": "",
"url": "https://t.me/nytimes",
"userID": "1606432449",
"platform": "telegram",
"name": "The New York Times",
"image": "https://6f2859a7-8667-4b05-9978-a8922e29bf1f.selstorage.ru/TG:1606432449?time=1751893336",
"description": "New York Times coverage from around the world, including the Russia-Ukraine war. Get the latest at https://www.nytimes.com/world",
"username": "nytimes",
"country": "united-states",
"countryCode": "US",
"city": "",
"type": "business",
"gender": "",
"age": "",
"verified": true
},
"stats": {
"followers": 177035,
"avgLikes": 275,
"avgComments": 0,
"avgER": 0.0101017465620405,
"avgInteractions": 302,
"avgViews": 31098,
"qualityScore": 0.559125964010283
}
}
],
"pagination": {
"currentPage": 1,
"totalPages": 1,
"currentResults": 1,
"totalCount": 1,
"nextPage": false
}
}
Ranking
Ranking Interest🏆
Get Telegram Top Ranking by Interest
GET
/
wf
/
telegram-ranking-interest
cURL
{
"status": {
"code": 200,
"message": "OK"
},
"data": [
{
"profile": {
"masterID": "",
"url": "https://t.me/nytimes",
"userID": "1606432449",
"platform": "telegram",
"name": "The New York Times",
"image": "https://6f2859a7-8667-4b05-9978-a8922e29bf1f.selstorage.ru/TG:1606432449?time=1751893336",
"description": "New York Times coverage from around the world, including the Russia-Ukraine war. Get the latest at https://www.nytimes.com/world",
"username": "nytimes",
"country": "united-states",
"countryCode": "US",
"city": "",
"type": "business",
"gender": "",
"age": "",
"verified": true
},
"stats": {
"followers": 177035,
"avgLikes": 275,
"avgComments": 0,
"avgER": 0.0101017465620405,
"avgInteractions": 302,
"avgViews": 31098,
"qualityScore": 0.559125964010283
}
}
],
"pagination": {
"currentPage": 1,
"totalPages": 1,
"currentResults": 1,
"totalCount": 1,
"nextPage": false
}
}
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Example: lifestyle. To get the full list of niches use this endpoint: Get Social Niches
Requested page. Every page returns 20 profiles.
This is your account API Key. You can easily locate it in your account dashboard.
Response
200
OK
⌘I